<template>
    <div class="">
        <div class="container">
            <form>
                <div class="row">
                    Poišči mesto: 
                    <input v-model="city" type="text" placeholder="" @keyup="getCityWeather5Days" class="form-control" style="">
                </div>
            </form> 
            <br><br>
        </div>
        <div style="margin-top: 25px; margin-bottom: 25px;">
            <WeatherTable :city=this.city :weatherData=this.weatherData />
        </div>
    </div>
</template>
<script>
import WeatherTable from './WeatherTable.vue'
import getWeather5Days from '../services/weather'

export default {
  components: { WeatherTable },
    name: 'SearchBar',
    data() {
        return {
            city: '',
            weatherData: []
        }
    },
    methods: {
        
        async getCityWeather5Days() {
            if (this.city === '') {
                console.log('input mesto prazno')
                this.weatherData = [];
            }
            else {
                setTimeout(() => {
                    console.log('TEST');
                    if (this.city.length < 3) {
                        alert('Mesto mora vsebovati vsah 3 znake');
                    }
                }, 1000);

                await getWeather5Days(this.city)
                    .then((value) => {
                        console.log('VALUE:', value);
                        this.weatherData = value;
                        //console.log('rez:', rez);
                    })
                    .catch(error => {
                        console.error('[NAPAKA]:', error);
                        this.weatherData = [];
                        
                    })
            }
        }
    }
}
</script>
<style scoped>

</style>